%define	major 7
%define	libname %mklibname ofx %{major}
%define	develname %mklibname ofx -d

Summary:	LibOFX library provides support for OFX command responses
Name:		libofx
Version:	0.9.13
Release:	1
Group:		System/Libraries
License:	GPLv2+
Url:		http://libofx.sourceforge.net
Source0:	http://download.sourceforge.net/libofx/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	gengetopt
BuildRequires:	graphviz
BuildRequires:	glibc-devel
BuildRequires:	OpenSP-devel
BuildRequires:	pkgconfig(libxml++-2.6)

%description
This is the LibOFX library. It is a API designed to allow applications to very
easily support OFX command responses, usually provided by financial
institutions (see http://www.ofx.net/ofx/default.asp for details and
specification). It is based on the excellent OpenSP library written by James
Clark, and now part of the OpenJADE project. OpenSP by itself is not widely
distributed. It is written in C++, but provides a C style interface usable
transparently from both C and C++ using a single include file.
OpenJADE 1.3.1 includes a version on OpenSP that will link, however it has
some major problems with LibOFX and isn't recommended. Since LibOFX uses the
generic interface to OpenSP, it should be compatible with all recent versions
of OpenSP (it has been developed with OpenSP-1.5pre5).

%files
%doc AUTHORS ChangeLog COPYING NEWS README totest.txt 
%{_bindir}/ofx*
%{_datadir}/%{name}
%_mandir/man1/ofxdump.1*

#-----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for libofx
Group:		System/Libraries

%description -n %{libname}
This package provides libraries to use %{name}.

%files -n %{libname}
%doc COPYING
%{_libdir}/%{name}.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{develname}
Group:		Development/C
Summary:	Libraries needed to develop for libofx
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}ofx2-devel < 0.8.2

%description -n %{develname}
Libraries needed to develop for %{name}.

%files -n %{develname}
%doc ChangeLog NEWS
%doc doc/html doc/ofx_sample_files
%{_libdir}/%{name}.so
%{_includedir}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------

%prep
%setup -q

# Fix perms
find doc/ofx_sample_files -name "*.sgml" | xargs chmod -x


%build
# FIXME: better make it lib64 aware in configure script
# Disable curl detection: we don't want ofxconnect sample binary
%configure2_5x \
	--disable-static \
    --with-opensp-libs=%{_libdir} \
    --without-libcurl
%make


%install
%makeinstall_std

# Remove unwanted doc files
rm -rf %{buildroot}%{_docdir}/libofx

%changelog

* Sun May 20 2018 Giovanni Mariani <mc2374@mclink.it> 0.9.13-1
- (fb37e89) Updated to release 0.9.13 to fix some CVEs


